Summary: GNOME network information applet
Name: gnome-netstatus
Version: 2.28.2
Release: %mkrel 1
License: GPLv2+
Group: Graphical desktop/GNOME
URL: http://www.gnome.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Patch0: gnome-netstatus-2.26.0-fix-str-fmt.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libpanel-applet-devel
BuildRequires: libglade2.0-devel
BuildRequires: gtk+2-devel >= 2.3.1
BuildRequires: scrollkeeper
BuildRequires: gnome-doc-utils
BuildRequires: libxslt-proc
BuildRequires: intltool
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

%description
This package contains an applet which provides information
about a network interface on your panel.

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std _ENABLE_SK=false
%find_lang %{name} --with-gnome
for omf in %buildroot%_datadir/omf/%name/%name-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/%name-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done
rm -rf %buildroot/var/lib/scrollkeeper

%clean
rm -rf $RPM_BUILD_ROOT

%post
%post_install_gconf_schemas netstatus
%update_scrollkeeper
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas netstatus

%postun
%clean_scrollkeeper
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README TODO ChangeLog AUTHORS NEWS
%{_sysconfdir}/gconf/schemas/*
%{_libdir}/gnome-netstatus-applet
%{_libdir}/bonobo/servers/*
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/gnome-netstatus
%dir %{_datadir}/omf/%name
%dir %{_datadir}/omf/%name/%name-C.omf
%_datadir/icons/hicolor/48x48/apps/gnome-netstatus*




%changelog
* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 2.28.2-1mdv2011.0
+ Revision: 581730
- update to new version 2.28.2

* Tue Mar 30 2010 Götz Waschk <waschk@mandriva.org> 2.28.1-1mdv2010.1
+ Revision: 529643
- update to new version 2.28.1

* Tue Sep 22 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 447370
- update to new version 2.28.0

* Fri Sep 11 2009 Thierry Vignaud <tv@mandriva.org> 2.26.0-2mdv2010.0
+ Revision: 437771
- rebuild

* Sun Mar 08 2009 Funda Wang <fwang@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 352846
- New version 2.26.0

* Tue Sep 23 2008 Götz Waschk <waschk@mandriva.org> 2.12.2-1mdv2009.0
+ Revision: 287314
- new version
- update license
- update build deps

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 2.12.1-3mdv2009.0
+ Revision: 246416
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.12.1-1mdv2008.1
+ Revision: 136448
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Feb 13 2007 Götz Waschk <waschk@mandriva.org> 2.12.1-1mdv2007.0
+ Revision: 120323
- Import gnome-netstatus

* Tue Feb 13 2007 Gtz Waschk <waschk@mandriva.org> 2.12.1-1mdv2007.1
- more macros
- New version 2.12.1

* Fri Aug 04 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-6mdv2007.0
- Rebuild with latest dbus

* Fri Feb 24 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-5mdk
- Use mkrel

* Sun Nov 20 2005 Götz Waschk <waschk@mandriva.org> 2.12.0-4mdk
- rebuild for new openssl

* Thu Oct 06 2005 Gtz Waschk <waschk@mandriva.org> 2.12.0-3mdk
- fix buildrequires again

* Thu Oct 06 2005 Gtz Waschk <waschk@mandriva.org> 2.12.0-2mdk
- add missing scrollkeeper dep to post,postun
- fix buildrequires

* Wed Oct 05 2005 Götz Waschk <waschk@mandriva.org> 2.12.0-1mdk
- fix installation
- New release 2.12.0

* Thu May 19 2005 Gtz Waschk <waschk@mandriva.org> 2.11.1-1mdk
- New release 2.11.1

* Mon Mar 14 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.10.0-2mdk 
- Update icon cache at install/uninstall

* Mon Mar 07 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.10.0-1mdk
- remove unpackaged files
- New release 2.10.0

* Wed Oct 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.0-2mdk
- fix omf file listing

* Wed Oct 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-1mdk
- New release 2.8.0

* Tue Jul 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.2.1-1mdk
- drop yelp stuff
- New release 2.6.2.1

* Wed Jun 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- reenable libtoolize
- New release 2.6.2

* Wed Apr 21 2004 Goetz Waschk <goetz@mandrakesoft.com> 2.6.1-1mdk
- New release 2.6.1

* Thu Apr 08 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.0.1-1mdk
- fix file list
- add help
- requires new gtk
- new version

